@import '../global/var';

.groups-modal {
    max-width: 871px;

    &__form-fields {
        padding: 10px 20px;
        border-bottom: 1px solid rgba($black, .15);
        md-input-container {
            max-width: 232px;
            &:first-child {
                margin-right: 24px;
            }
        }
    }
    &__content-wrapper {
        overflow: hidden;
    }

    &__permissions {
        &-wrapper {
            position: relative;
            min-height: 60px;
            display: flex;
            align-items: center;
            padding-left: 20px;

            &:after {
                position: absolute;
                display: block;
                content: '';
                bottom: 0;
                left: -40px;
                width: calc(100% + 80px);
                height: 1px;
                background-color: rgba($black, 0.15);
            }
        }

        &-checkbox {
            margin: 0 auto;
        }

        &-text {
            padding-left: 20px;
        }

    }

    md-dialog-actions {
        .cancel {
            display: none;
        }
    }

    @media screen and (max-width: $breakpoint-mobile-small) {
        max-height: 100%;
        form {
            display: flex;
            flex-grow: 1;
            justify-content: space-between;
        }

        &__form-fields {
            padding: 24px 16px;
            flex-direction: column;
            md-input-container {
                max-width: unset;
                &:first-child {
                    margin: 0 0 20px 0;
                }
            }
        }
        md-dialog-actions {
            padding: 16px;
            min-height: 68px;
            overflow-x: hidden;
            background: $white;
            width: 100%;
            z-index: 2;

            .cancel {
                display: block;
                background-color: $gray57c;
                margin-right: 4px;
            }
        }
    }

    @media screen and (min-height: 607px) {
        max-height: 607px;
    }
}
